clc;
clear;
close all;

s=tf('s');

wn=realp('wn',10);

zeta=realp('zeta',0.7);

G1=wn^2/(s^2+2*zeta*wn*s+wn^2);

G2=1/((s/wn)^2+2*zeta*(s/wn)+1);

zeta_values=linspace(0.01,1,5);

H1=replaceBlock(G1,'zeta',zeta_values);

figure;
subplot(2,1,1);
step(H1,2);
subplot(2,1,2);
bodemag(H1);
